/* $Id$

This file is part of libmspgl
Copyright © 2009  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#ifndef MSP_GL_PIPELINEPASS_H_
#define MSP_GL_PIPELINEPASS_H_

#include <vector>

namespace Msp {
namespace GL {

class Effect;
class Lighting;

struct PipelinePass
{
	std::vector<Effect *> effects;
	Lighting *lighting;

	PipelinePass();
};

} // namespace GL
} // namespace Msp

#endif
